commit:     60d197eaa02a71cf5ac357344b2f5eab1d286686
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 24 07:43:37 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 24 08:34:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60d197ea

www-servers/puma: add 3.12.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 www-servers/puma/Manifest           |  1 +
 www-servers/puma/puma-3.12.1.ebuild | 67 +++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/www-servers/puma/Manifest b/www-servers/puma/Manifest
index 89431b6d9ca..599ed34f5d9 100644
--- a/www-servers/puma/Manifest
+++ b/www-servers/puma/Manifest
@@ -1,2 +1,3 @@
 DIST puma-3.11.4.tar.gz 210324 BLAKE2B 
16c01182f4a3adad026ab4f214945b1c5e002d2d99ef965947d982b488c3d080f50d41b175cc69181b2c953d32df6dfb63253dbd0312d594a2472f69f01aa30f
 SHA512 
4c32c7587cab7ae0afd1e90d3de00db67fe314a700240d295303549905e3c556cba06ea41fbe6230f50328769d47272c52f9eb6460b0653fa14e336bacd120ea
 DIST puma-3.12.0.tar.gz 215213 BLAKE2B 
1b142e6cc135021eccb01b2e8643d8d22f1c535723a943ae996c6607c7e771d8990ae2132fa2aad8ea44eceaf8c8f586fbb3d61a9aa2963a02d9f54c76773f5e
 SHA512 
e8f0383de24e452735dddaf80e997cc428af2de767be31db6b47fdd5d09268fcb7ca139233311dda83c7a70db6646109e04308c076ac2bf2510766791171ddc5
+DIST puma-3.12.1.tar.gz 217543 BLAKE2B 
6427c48d17ead515a17fd53ba05baba0ca27b9a3c6b26257e83b21ce099d7ff36666dfe1f1a964d23addd666c5aa83c46e6795ad2e22236de7136e25be689ff5
 SHA512 
70784ed89403e96d1bdb68f3ee0a5446d98a6f8a1af5ddf369d837e2ae3320118c29c9c33e7a9db7a76b1a80aef66a9b6426140c492721984de50e7cc5fc8300

diff --git a/www-servers/puma/puma-3.12.1.ebuild 
b/www-servers/puma/puma-3.12.1.ebuild
new file mode 100644
index 00000000000..df9ff4d937e
--- /dev/null
+++ b/www-servers/puma/puma-3.12.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="a simple, fast, threaded, and highly concurrent HTTP 1.1 server 
for Ruby/Rack"
+HOMEPAGE="https://puma.io/";
+SRC_URI="https://github.com/puma/puma/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND+=" dev-libs/openssl:0 test? ( net-misc/curl )"
+RDEPEND+=" dev-libs/openssl:0"
+
+ruby_add_bdepend "virtual/ruby-ssl
+       test? ( dev-ruby/rack >=dev-ruby/minitest-5.9:5 
>=dev-ruby/test-unit-3.0:2 )"
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/ s:^:#:' test/helper.rb || die
+
+       # Avoid test failing inconsistently
+       sed -i -e '/phased_restart_via_pumactl/,/^  end/ s:^:#:' 
test/test_integration.rb || die
+
+       # Avoid test that trigger a bug in ruby very easily and lead to
+       # failure. This affects all current puma versions in combination
+       # with the latest ruby versions, so we add this new version anyway
+       # while allowing these tests to fail.
+       # https://github.com/puma/puma/pull/1345
+       rm -f test/test_{persistent,puma_server,puma_server_ssl}.rb || die
+
+       # Use correct ruby version
+       sed -i -e 's/ruby -rrubygems/#{Gem.ruby} -rrubygems/' 
test/shell/t{1,3}.rb || die
+}
+
+each_ruby_prepare() {
+       sed -i -e 's:ruby -rubygems:'${RUBY}' -rubygems:' \
+               -e 's/localhost/127.0.0.1/' test/shell/* || die
+       sed -i -e '1ilog_requests' test/shell/t{1,2}_conf.rb || die
+}
+
+each_ruby_configure() {
+       ${RUBY} -Cext/puma_http11 extconf.rb || die
+}
+
+each_ruby_compile() {
+       emake V=1 -Cext/puma_http11
+       cp ext/puma_http11/puma_http11$(get_modname) lib/puma/ || die
+}
+
+each_ruby_test() {
+       einfo "Running test suite"
+       ${RUBY} -Ilib:.:test -e "gem 'minitest', '~>5.9'; gem 'test-unit', 
'~>3.0'; require 'minitest/autorun'; Dir['test/**/*test_*.rb'].each{|f| require 
f}" || die
+
+       einfo "Running integration tests"
+       pushd test/shell
+       #sh run.sh || die
+       popd
+}

Reply via email to